### Method

# Ide Pipeline get_builddir

#### Declaration

    const gchar*
    ide_pipeline_get_builddir (
      IdePipeline* self
    )

#### Description

Gets the “builddir” to be used for the build process. This is generally the location that build systems will use for out-of-tree builds.

Available since: | 3.32

#### Return value

Returns: | `const gchar*`
| The path of the build directory.
| The data is owned by the instance.
| The value is a NUL terminated UTF-8 string.